%define name      dc3dd
%define upversion 7.1
%define subver    0
%define rev       614
%define release   %mkrel 4

Summary: Patched version of GNU dd for use in computer forensics
Name:    %{name}
Version: %{upversion}.%{rev}
Release: %{release}
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
License: GPLv2+
Group:   Security
Url:     http://dc3dd.sourceforge.net/

BuildRequires: gettext

%description
dc3dd is a patched version of GNU dd to include a number of features useful
for computer forensics. Many of these features were inspired by dcfldd, but
were rewritten for dc3dd.

    * Pattern writes. The program can write a single hexadecimal value or a
    text string to the output device for wiping purposes.
    * Piecewise and overall hashing with multiple algorithms and variable
    size windows. Supports MD5, SHA-1, SHA-256, and SHA-512. Hashes can be
    computed before or after conversions are made.
    * Progress meter with automatic input/output file size probing
    * Combined log for hashes and errors
    * Error grouping. Produces one error message for identical sequential
    errors
    * Verify mode. Able to repeat any transformations done to the input
    file and compare it to an output.
    * Ability to split the output into chunks with numerical or alphabetic
    extensions


%prep
%setup -q

rm po/*.gmo


%build
%configure
%make

%check
make check

%install
make install BINDIR=%{buildroot}%{_bindir} DESTDIR=%{buildroot}

%find_lang %{name}

%files -f %{name}.lang
%doc ABOUT-NLS AUTHORS COPYING ChangeLog README README.coreutils THANKS THANKS-to-translators TODO Sample_Commands.txt NEWS Options_Reference.txt
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 7.1.614-4.mga4
+ Revision: 503796
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 7.1.614-3.mga3
+ Revision: 348663
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 malo <malo> 7.1.614-2.mga3
+ Revision: 310499
- update RPM group
- Fixing source url.

* Mon Dec 19 2011 malo <malo> 7.1.614-1.mga2
+ Revision: 184094
- imported package dc3dd


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.12.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Aug 10 2009 Adam Miller <maxamillion [AT] gmail.com> - 6.12.3-3
- Fixed Source0 listing as reported https://www.redhat.com/archives/fedora-devel-list/2009-August/msg00591.html

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.12.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Mar 19 2009 Adam Miller <maxamillion [AT] gmail.com> - 6.12.3-1
- New release of dc3dd

* Thu Mar 05 2009 Adam Miller <maxamillion [AT] gmail.com> - 6.12.2-3
- Cleaned up the .spec by looping through files needing EOF encoding fix

* Mon Mar 02 2009 Adam Miller <maxamillion [AT] gmail.com> - 6.12.2-2
- Removed .gmo binaries, fixed source0, added doc items, fixed EOF encoding
- fixed licencing listing

* Mon Feb 23 2009 Adam Miller <maxamillion [AT] gmail.com> - 6.12.2-1
- First build of dc3dd for fedora
